<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }


if (file_exists(INFUSIONS."classifieds_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."classifieds_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."classifieds_panel/locale/English.php";
}
// Infusion general information
$inf_title = $locale['CLS100'];
$inf_description = $locale['CLS101'];
$inf_version = "3.0.1";
$inf_developer = "AusiMods";
$inf_email = "support@ausimods.net";
$inf_weburl = "http://www.ausimods.net";

$inf_folder = "classifieds_panel"; // The folder in which the infusion resides.
$inf_admin_image = "classifieds.gif"; // Leave blank to use the default image.
$inf_admin_panel = "admin/index.php"; // The admin panel filename if required.

$inf_link_name = $locale['CLS102']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "index.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 2;// Number of new db tables to create or drop.
$inf_insertdbrows = 0;// Numbers rows added into created db tables.
$inf_altertables = 0;// Number of db tables to alter (upgrade).
$inf_deldbrows = 0;// Number of db tables to delete data from.

// Database table commands are stored in an array, the first table, or a single
// table must always be in array [0].


// Database Table information : Create database tables.
$inf_newtable_[1] = "classifieds (
  lid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  description text NOT NULL,
  url varchar(100) NOT NULL default '',
  postdate int(14) NOT NULL default '0',
  expiredate int(14) NOT NULL default '0',
  owner varchar(25) NOT NULL default '',
  owner_id int(10) NOT NULL default '1',
  `status` enum('0','1') NOT NULL default '0',
  image varchar(255) default NULL,
  PRIMARY KEY  (lid)
) ENGINE=MyISAM;";

$inf_newtable_[2] = "classifieds_categories (
  cid int(11) NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  description text NOT NULL,
  image varchar(100) NOT NULL default '',
  parentid int(11) NOT NULL default '0',
  `status` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (cid)
) ENGINE=MyISAM;";

// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_drop_tables[1] = "classifieds";
$inf_drop_tables[2] = "classifieds_categories";

//$inf_altertable_[1] = "";

?>
